unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  NMpop3, Psock, NMsmtp, StdCtrls, ExtCtrls, Buttons, ComCtrls;

type
  TForm1 = class(TForm)
    NMSMTP1: TNMSMTP;
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    Edit3: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Label10: TLabel;
    RadioGroup1: TRadioGroup;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    Memo3: TMemo;
    Edit4: TEdit;
    Memo1: TMemo;
    Memo2: TMemo;
    Label5: TLabel;
    OpenDialog1: TOpenDialog;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    ListBox1: TListBox;
    Label9: TLabel;
    Label12: TLabel;
    FontDialog1: TFontDialog;
    Label11: TLabel;
    BitBtn5: TBitBtn;
    Edit5: TEdit;
    RichEdit1: TRichEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label13: TLabel;
    ListBox2: TListBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2click(Sender: TObject);
    procedure Connect;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure NMSMTP1Connect(Sender: TObject);
    procedure NMSMTP1ConnectionFailed(Sender: TObject);
    procedure NMSMTP1Disconnect(Sender: TObject);
    procedure NMSMTP1EncodeStart(Filename: String);
    procedure NMSMTP1EncodeEnd(Filename: String);
    procedure NMSMTP1SendStart(Sender: TObject);
    procedure NMSMTP1AttachmentNotFound(Filename: String);
    procedure NMSMTP1Failure(Sender: TObject);
    procedure NMSMTP1Success(Sender: TObject);
    procedure NMSMTP1RecipientNotFound(Recipient: String);
    procedure Button1Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure ListBox1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    
  private

  public

  end;

var
  Form1: TForm1;
  conn: boolean;

implementation




{$R *.DFM}
procedure TForm1.connect;

begin
if nmsmtp1.connected then nmsmtp1.disconnect ;

     nmsmtp1.host:=trim(edit2.text);
     nmsmtp1.userid:=trim(edit1.text);

     try
     nmsmtp1.connect;
     conn:=true;
     Bitbtn3.enabled:=true;

     except
      showmessage ('Error on connecting....Please check configuration');
      conn:=false;
      end;


end;

procedure TForm1.BitBtn2Click(Sender: TObject);
var ini: system.text;
    atm :string;
   begin
assignfile(ini,'emaillight.ini');
try
  reset(ini);
  try
  readln(ini,atm);
  edit1.text:=trim (atm);
  readln(ini,atm);
  edit2.text:=trim (atm);
  readln(ini,atm);
  edit3.text:=trim (atm);
  readln(ini,atm);
  if trim(atm)='M' then radiobutton1.checked:=true else radiobutton2.checked:=true;
  connect;
  finally
   closefile(ini);
  end;
 except

    on E:EInouterror do begin
    showmessage ('Please configure, and click Set config');
    listbox2.items.add('Config error');
    end;
  end;
end;


procedure TForm1.BitBtn1Click(Sender: TObject);
var ini:system.text;
    dummy:char;
begin
  assignfile(ini,'emaillight.ini');
  try
  rewrite(ini);
  writeln(ini,edit1.text);
  writeln(ini,edit2.text);
  writeln(ini,edit3.text);
  if radiobutton1.Checked then dummy:='M' else dummy:='U';
  writeln(ini,dummy);
  connect;
  finally
  closefile(ini);
  end;

end;


procedure TForm1.FormCreate(Sender: TObject);
begin
BitBtn2Click(Form1);
edit5.text:= richedit1.Font.Name;
edit5.font.Color  :=richedit1.font.color;
edit5.font.name:=richedit1.font.name;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
 if nmsmtp1.connected then   nmsmtp1.disconnect ;
 end;


procedure TForm1.BitBtn3Click(Sender: TObject);
begin

  if nmsmtp1.Connected then
  begin
    nmsmtp1.ClearParams := true;
    nmsmtp1.SubType := mtEnriched;
    case RadioGroup1.ItemIndex of
      0: nmsmtp1.EncodeType := uuMime;
      1: nmsmtp1.EncodeType := uuCode;
    end;
    nmsmtp1.PostMessage.FromAddress := Edit3.Text;
    nmsmtp1.PostMessage.FromName := Edit3.Text;
    nmsmtp1.PostMessage.ToAddress.Text := Memo1.lines.Text;
    nmsmtp1.PostMessage.ToCarbonCopy.Text := Memo2.lines.Text;
    nmsmtp1.PostMessage.ToBlindCarbonCopy.Text := Memo3.lines.Text;
    nmsmtp1.PostMessage.Body.Text := richedit1.Lines.Text;
    nmsmtp1.PostMessage.Attachments.Text := listbox1.items.text; 
    nmsmtp1.PostMessage.LocalProgram:='Light email sender by HR';
    nmsmtp1.PostMessage.Subject := Edit4.Text;
    nmsmtp1.PostMessage.ReplyTo := Edit3.Text;
   try
   nmsmtp1.SendMail;
   except
   showmessage('An error occured');
   listbox2.items.add( 'Sending error... Address is OK?')
   end;
    edit3.text:='';
    memo1.Clear;
    memo2.clear;
    memo3.clear;
    richedit1.Lines.Clear;
    edit4.text:='';
    end
  end;

procedure TForm1.nmsmtp1Connect(Sender: TObject);
begin
listbox2.Items.Add('Connected');
end;

procedure TForm1.nmsmtp1ConnectionFailed(Sender: TObject);
begin
listbox2.items.add('Connection failed');
end;

procedure TForm1.nmsmtp1Disconnect(Sender: TObject);
begin
listbox2.items.add('Disconnected');
end;

procedure TForm1.nmsmtp1EncodeStart(Filename: String);
begin
listbox2.items.add('Start encoding '+Filename);
end;

procedure TForm1.nmsmtp1EncodeEnd(Filename: String);
begin
listbox2.items.add('End encoding '+Filename);
end;

procedure TForm1.nmsmtp1SendStart(Sender: TObject);
begin
listbox2.items.add('Try to send message');
end;

procedure TForm1.nmsmtp1AttachmentNotFound(Filename: String);
begin
listbox2.items.add('Attachment not found: '+filename);
end;

procedure TForm1.nmsmtp1Failure(Sender: TObject);
begin
listbox2.items.add('An error occured during message sending!');
end;

procedure TForm1.nmsmtp1Success(Sender: TObject);
begin
listbox2.items.add('Message sending was successfull!');
end;

procedure TForm1.nmsmtp1RecipientNotFound(Recipient: String);
begin
listbox2.items.add('Recipient '+Recipient+' was not found!');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
if sender = Button1 then richedit1.Paragraph.Alignment:= taleftjustify ;
if sender = Button2 then richedit1.paragraph.Alignment:= tacenter ;
if sender = Button3 then richedit1.paragraph.Alignment:= tarightjustify ;
richedit1. setfocus;
end;


 procedure TForm1.BitBtn5Click(Sender: TObject);
begin
if fontdialog1.execute then
  richedit1.Font.Name:=fontdialog1.Font.Name;
  richedit1.font.Color    :=fontdialog1.font.color;
  richedit1.font.Charset  :=fontdialog1.font.charset;
  richedit1.font.Height  :=fontdialog1.font.height;
  richedit1.font.Style   :=fontdialog1.font.style;
  edit5.text:= fontdialog1.Font.Name;
  edit5.font.Color  :=fontdialog1.font.color;
  edit5.font.name:= fontdialog1.Font.Name;
end;


procedure TForm1.ListBox1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=VK_INSERT then
 if opendialog1.execute then listbox1.items.add(opendialog1.filename);
if key=VK_DELETE then listbox1.items.delete(listbox1.itemindex);
end;


end.


